Package wx :: Module calendar :: Class CalendarEvent

[frames | no frames]

## Type CalendarEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                 DateEvent --+
                             |
                            CalendarEvent

Proxy of C++ CalendarEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
int | `GetWeekDay(self)`
| ``PyGetDate`(self)` returns datetime.date object
| ``PySetDate`(self, date)` takes datetime.datetime or datetime.date object
| `SetWeekDay(self, wd)`

Property Summary
| `thisown`: The membership flag
| `WeekDay`: See `GetWeekDay` and `SetWeekDay`

Method Details

### __init__(self, cal, type)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.DateEvent.__init__` (inherited documentation)

### PyGetDate(self)

returns datetime.date object

### PySetDate(self, date)

takes datetime.datetime or datetime.date object

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1218585324(...)
  Set Method:
    unknown--1218585268(...)

### WeekDay

See `GetWeekDay` and `SetWeekDay`

  Get Method:
    `GetWeekDay`(self)
  Set Method:
    `SetWeekDay`(self, wd)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:57 2007 | http://epydoc.sf.net